IXAudio2SourceVoiceVtbl Struct Reference

`#include <SDL_xaudio2.h>`

Collaboration diagram for IXAudio2SourceVoiceVtbl:
[legend]

## Public Member Functions

| STDMETHOD_ (VOID, GetVoiceDetails)(THIS
| STDMETHOD_ (HRESULT, SetOutputVoices)(THIS
| STDMETHOD_ (HRESULT, SetEffectChain)(THIS
| STDMETHOD_ (HRESULT, EnableEffect)(THIS
| STDMETHOD_ (HRESULT, DisableEffect)(THIS
| STDMETHOD_ (VOID, GetEffectState)(THIS
| STDMETHOD_ (HRESULT, SetEffectParameters)(THIS
| STDMETHOD_ (VOID, GetEffectParameters)(THIS
| STDMETHOD_ (HRESULT, SetFilterParameters)(THIS
| STDMETHOD_ (VOID, GetFilterParameters)(THIS
| STDMETHOD_ (HRESULT, SetOutputFilterParameters)(THIS
| STDMETHOD_ (VOID, GetOutputFilterParameters)(THIS
| STDMETHOD_ (HRESULT, SetVolume)(THIS
| STDMETHOD_ (VOID, GetVolume)(THIS
| STDMETHOD_ (HRESULT, SetChannelVolumes)(THIS
| STDMETHOD_ (VOID, GetChannelVolumes)(THIS
| STDMETHOD_ (HRESULT, SetOutputMatrix)(THIS
| STDMETHOD_ (VOID, GetOutputMatrix)(THIS
| STDMETHOD_ (VOID, DestroyVoice)(THIS) PURE
| STDMETHOD_ (HRESULT, Start)(THIS
| STDMETHOD_ (HRESULT, Stop)(THIS
| STDMETHOD_ (HRESULT, SubmitSourceBuffer)(THIS
| STDMETHOD_ (HRESULT, FlushSourceBuffers)(THIS) PURE
| STDMETHOD_ (HRESULT, Discontinuity)(THIS) PURE
| STDMETHOD_ (HRESULT, ExitLoop)(THIS
| STDMETHOD_ (VOID, GetState)(THIS
| STDMETHOD_ (HRESULT, SetFrequencyRatio)(THIS
| STDMETHOD_ (VOID, GetFrequencyRatio)(THIS
| STDMETHOD_ (HRESULT, SetSourceSampleRate)(THIS

## Data Fields

XAUDIO2_VOICE_DETAILS *pVoiceDetails | PURE
const XAUDIO2_VOICE_SENDS *pSendList | PURE
const XAUDIO2_EFFECT_CHAIN *pEffectChain | PURE
UINT32 | EffectIndex
UINT32 UINT32 OperationSet | PURE
UINT32 BOOL *pEnabled | PURE
UINT32 const void * | pParameters
UINT32 const void UINT32 | ParametersByteSize
UINT32 const void UINT32 UINT32 OperationSet | PURE
UINT32 void * | pParameters
UINT32 void UINT32 ParametersByteSize | PURE
const XAUDIO2_FILTER_PARAMETERS * | pParameters
const XAUDIO2_FILTER_PARAMETERS UINT32 OperationSet | PURE
XAUDIO2_FILTER_PARAMETERS *pParameters | PURE
IXAudio2Voice * | pDestinationVoice
IXAudio2Voice XAUDIO2_FILTER_PARAMETERS * | pParameters
IXAudio2Voice XAUDIO2_FILTER_PARAMETERS UINT32 OperationSet | PURE
IXAudio2Voice XAUDIO2_FILTER_PARAMETERS *pParameters | PURE
float | Volume
float UINT32 OperationSet | PURE
float *pVolume | PURE
UINT32 | Channels
UINT32 const float * | pVolumes
UINT32 const float UINT32 OperationSet | PURE
UINT32 float *pVolumes | PURE
IXAudio2Voice UINT32 | SourceChannels
IXAudio2Voice UINT32 UINT32 | DestinationChannels
IXAudio2Voice UINT32 UINT32 const float * | pLevelMatrix
IXAudio2Voice UINT32 UINT32 const float UINT32 OperationSet | PURE
IXAudio2Voice UINT32 UINT32 float *pLevelMatrix | PURE
UINT32 | Flags
const XAUDIO2_BUFFER * | pBuffer
const XAUDIO2_BUFFER const XAUDIO2_BUFFER_WMA *pBufferWMA | PURE
UINT32 OperationSet | PURE
XAUDIO2_VOICE_STATE * | pVoiceState
XAUDIO2_VOICE_STATE UINT32 Flags | PURE
float | Ratio
float *pRatio | PURE
UINT32 NewSourceSampleRate | PURE

## Detailed Description

Definition at line 223 of file SDL_xaudio2.h.

## Member Function Documentation

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetVoiceDetails |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetOutputVoices |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetEffectChain |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | EnableEffect |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | DisableEffect |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetEffectState |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetEffectParameters |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetEffectParameters |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetFilterParameters |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetFilterParameters |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetOutputFilterParameters |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetOutputFilterParameters |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetVolume |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetVolume |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetChannelVolumes |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetChannelVolumes |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetOutputMatrix |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetOutputMatrix |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | DestroyVoice |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | Start |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | Stop |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SubmitSourceBuffer |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | FlushSourceBuffers |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | Discontinuity |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | ExitLoop |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetState |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetFrequencyRatio |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetFrequencyRatio |
| ) |  |

IXAudio2SourceVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetSourceSampleRate |
| ) |  |

## Field Documentation

UINT32 IXAudio2SourceVoiceVtbl::Channels

Definition at line 255 of file SDL_xaudio2.h.

IXAudio2Voice UINT32 UINT32 IXAudio2SourceVoiceVtbl::DestinationChannels

Definition at line 260 of file SDL_xaudio2.h.

UINT32 IXAudio2SourceVoiceVtbl::EffectIndex

Definition at line 234 of file SDL_xaudio2.h.

UINT32 IXAudio2SourceVoiceVtbl::Flags

Definition at line 272 of file SDL_xaudio2.h.

UINT32 const void UINT32 IXAudio2SourceVoiceVtbl::ParametersByteSize

Definition at line 237 of file SDL_xaudio2.h.

const XAUDIO2_BUFFER* IXAudio2SourceVoiceVtbl::pBuffer

Definition at line 276 of file SDL_xaudio2.h.

IXAudio2Voice * IXAudio2SourceVoiceVtbl::pDestinationVoice

Definition at line 247 of file SDL_xaudio2.h.

IXAudio2Voice UINT32 UINT32 const float* IXAudio2SourceVoiceVtbl::pLevelMatrix

Definition at line 260 of file SDL_xaudio2.h.

UINT32 const void* IXAudio2SourceVoiceVtbl::pParameters

Definition at line 237 of file SDL_xaudio2.h.

UINT32 void* IXAudio2SourceVoiceVtbl::pParameters

Definition at line 241 of file SDL_xaudio2.h.

const XAUDIO2_FILTER_PARAMETERS* IXAudio2SourceVoiceVtbl::pParameters

Definition at line 244 of file SDL_xaudio2.h.

IXAudio2Voice XAUDIO2_FILTER_PARAMETERS* IXAudio2SourceVoiceVtbl::pParameters

Definition at line 247 of file SDL_xaudio2.h.

float UINT32 OperationSet IXAudio2SourceVoiceVtbl::PURE

Definition at line 231 of file SDL_xaudio2.h.

const XAUDIO2_VOICE_SENDS* pSendList IXAudio2SourceVoiceVtbl::PURE

Definition at line 232 of file SDL_xaudio2.h.

const XAUDIO2_EFFECT_CHAIN* pEffectChain IXAudio2SourceVoiceVtbl::PURE

Definition at line 233 of file SDL_xaudio2.h.

UINT32 UINT32 OperationSet IXAudio2SourceVoiceVtbl::PURE

Definition at line 234 of file SDL_xaudio2.h.

UINT32 BOOL* pEnabled IXAudio2SourceVoiceVtbl::PURE

Definition at line 236 of file SDL_xaudio2.h.

UINT32 const void UINT32 UINT32 OperationSet IXAudio2SourceVoiceVtbl::PURE

Definition at line 237 of file SDL_xaudio2.h.

UINT32 void UINT32 ParametersByteSize IXAudio2SourceVoiceVtbl::PURE

Definition at line 241 of file SDL_xaudio2.h.

const XAUDIO2_FILTER_PARAMETERS UINT32 OperationSet IXAudio2SourceVoiceVtbl::PURE

Definition at line 244 of file SDL_xaudio2.h.

XAUDIO2_FILTER_PARAMETERS* pParameters IXAudio2SourceVoiceVtbl::PURE

Definition at line 246 of file SDL_xaudio2.h.

IXAudio2Voice XAUDIO2_FILTER_PARAMETERS UINT32 OperationSet IXAudio2SourceVoiceVtbl::PURE

Definition at line 247 of file SDL_xaudio2.h.

IXAudio2Voice XAUDIO2_FILTER_PARAMETERS* pParameters IXAudio2SourceVoiceVtbl::PURE

Definition at line 250 of file SDL_xaudio2.h.

float UINT32 OperationSet IXAudio2SourceVoiceVtbl::PURE

Definition at line 252 of file SDL_xaudio2.h.

float* pVolume IXAudio2SourceVoiceVtbl::PURE

Definition at line 254 of file SDL_xaudio2.h.

UINT32 const float UINT32 OperationSet IXAudio2SourceVoiceVtbl::PURE

Definition at line 255 of file SDL_xaudio2.h.

UINT32 float* pVolumes IXAudio2SourceVoiceVtbl::PURE

Definition at line 258 of file SDL_xaudio2.h.

IXAudio2Voice UINT32 UINT32 const float UINT32 OperationSet IXAudio2SourceVoiceVtbl::PURE

Definition at line 260 of file SDL_xaudio2.h.

IXAudio2Voice UINT32 UINT32 float* pLevelMatrix IXAudio2SourceVoiceVtbl::PURE

Definition at line 265 of file SDL_xaudio2.h.

const XAUDIO2_BUFFER const XAUDIO2_BUFFER_WMA* pBufferWMA IXAudio2SourceVoiceVtbl::PURE

Definition at line 276 of file SDL_xaudio2.h.

UINT32 OperationSet IXAudio2SourceVoiceVtbl::PURE

Definition at line 280 of file SDL_xaudio2.h.

XAUDIO2_VOICE_STATE UINT32 Flags IXAudio2SourceVoiceVtbl::PURE

Definition at line 281 of file SDL_xaudio2.h.

float* pRatio IXAudio2SourceVoiceVtbl::PURE

Definition at line 285 of file SDL_xaudio2.h.

UINT32 NewSourceSampleRate IXAudio2SourceVoiceVtbl::PURE

Definition at line 286 of file SDL_xaudio2.h.

XAUDIO2_VOICE_STATE* IXAudio2SourceVoiceVtbl::pVoiceState

Definition at line 281 of file SDL_xaudio2.h.

UINT32 const float* IXAudio2SourceVoiceVtbl::pVolumes

Definition at line 255 of file SDL_xaudio2.h.

float IXAudio2SourceVoiceVtbl::Ratio

Definition at line 283 of file SDL_xaudio2.h.

IXAudio2Voice UINT32 IXAudio2SourceVoiceVtbl::SourceChannels

Definition at line 260 of file SDL_xaudio2.h.

float IXAudio2SourceVoiceVtbl::Volume

Definition at line 252 of file SDL_xaudio2.h.

The documentation for this struct was generated from the following file:

- src/audio/xaudio2/SDL_xaudio2.h